# List projects with filters

Endpoint: GET /api/projects
Version: 1.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Query parameters:

  - `name` (string)
    exact matching filter on project name

  - `last_id` (integer)
    List projects whose ID is greater than this ID for pagination. Projects are returned in ascending order by ID.

  - `count` (integer)
    number of projects to return

  - `name_pattern` (string)
    name pattern to be partially matched

## Response 200:

  - `200` (unknown)
    default response

## Response 200 fields (application/json):

  - `projects` (array)

  - `projects.archiveMd5` (string)
    MD5 of archive
    Example: ZGRJdysyQ3VjZXI2UUN1c1ZhRXdDUT09

  - `projects.archiveType` (string, required)
    archive type
    Example: s3

  - `projects.createdAt` (string, required)
    created time
    Example: 2023-08-18T06:52:33Z

  - `projects.deletedAt` (string)
    deleted time
    Example: 2023-08-18T06:52:33Z

  - `projects.id` (string, required)
    project ID
    Example: 123456

  - `projects.metadata` (array)
    project metadata

  - `projects.metadata.key` (string)

  - `projects.metadata.value` (string)

  - `projects.name` (string, required)
    project name
    Example: project-a

  - `projects.revision` (string, required)
    revision
    Example: rev-20230101-1

  - `projects.updatedAt` (string, required)
    updated time
    Example: 2023-08-18T06:52:33Z

